Groovy Documentation

## org.codehaus.groovy.grails.commons
[Java] Class DefaultGrailsBootstrapClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.DefaultGrailsBootstrapClass

All Implemented Interfaces:
  GrailsBootstrapClass

    @SuppressWarnings("serial")
    public class DefaultGrailsBootstrapClass
    extends AbstractGrailsClass

Field Summary
`static java.lang.String` | `BOOT_STRAP`

Constructor Summary
`DefaultGrailsBootstrapClass(java.lang.Class clazz)`

Method Summary
`void` | `callDestroy()`
`void` | `callInit(ServletContext servletContext)`
`groovy.lang.Closure` | `getDestroyClosure()`
`groovy.lang.Closure` | `getInitClosure()`

Methods inherited from class AbstractGrailsClass

getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isReadableProperty, newInstance, toString

Field Detail

### BOOT_STRAP

    public static final java.lang.String BOOT_STRAP

Constructor Detail

### DefaultGrailsBootstrapClass

    public DefaultGrailsBootstrapClass(java.lang.Class clazz)

Method Detail

### callDestroy

    public void callDestroy()

### callInit

    public void callInit(ServletContext servletContext)

### getDestroyClosure

    public groovy.lang.Closure getDestroyClosure()

### getInitClosure

    public groovy.lang.Closure getInitClosure()

Groovy Documentation